# G

## give\_food（触发技能）

该技能作用是给予玩家原版饱食度。

```
- id: give_food
  args:
    amount: 2
```

其中：

* args.amount：给予的数量。

## give\_health（触发技能）

该技能作用是给予玩家原版生命值。

```
- id: give_food
  args:
    amount: 2
```

其中：

* args.amount：给予的数量。

## give\_item（触发技能）

该技能作用是给予玩家原版物品值。

```
- id: give_item
  args:
    item: "diamond_sword razor:5"
```

其中：

* args.item：给予的物品。按照 `物品语法格式:数量` 的格式填写，如果数量为1则可以只填写物品语法格式，多个物品之间用空格隔开。

## give\_mcmmo\_xp（触发技能）

该技能作用的给予玩家 **mcmmo** 技能经验值。

```
- id: give_mcmmo_xp
  args:
    amount: 100 
    skill: exploration
```

其中：

* args.amount：给予的数量。
* args.skill：技能的 **id**。

## give\_money（触发技能）

该技能作用的给予玩家金币。（需要 Vault）

```
- id: give_money
  args:
    amount: 100 
```

其中：

* args.amount：给予的数量。

## give\_oxygen（触发技能）

该技能作用的给予玩家氧气值。

```
- id: give_oxygen
  args:
    amount: 10
```

其中：

* args.amount：给予的数量。

## give\_permission（触发技能）

该技能作用的给予玩家氧气值。

```
- id: give_oxygen
  args:
    permission: ecocrates.reroll.mythic
```

其中：

* args.permission：给予的权限。

## give\_pet\_xp（触发技能）

该技能作用的给予玩家宠物经验值。（需要 EcoPets）

```
- id: give_pet_xp
  args:
    amount: 20
    pet: wolf
```

其中：

* args.amount：给予的数量。
* args.pet：宠物 **id**。

## give\_job\_xp（触发技能）

该技能作用的给予玩家职业经验值。（需要 EcoJobs）

```
- id: give_job_xp
  args:
    amount: 20
    job: miner
```

其中：

* args.amount：给予的数量。
* args.job：职业 **id**。

## give\_skill\_xp（触发技能）

该技能作用的给予玩家技能经验值。

```
- id: give_skill_xp
  args:
    amount: 20
    skill: combat
```

其中：

* args.amount：给予的数量。
* args.skill：技能 **id**。

## give\_xp（触发技能）

该技能作用的给予玩家原版经验值。

```
- id: give_xp
  args:
    amount: 20
    apply_mending: true
```

其中：

* args.amount：给予的数量。
* args.apply\_mending：获取的经验值能否用于经验修补附魔。

## glow\_nearby\_blocks（触发技能)

使得周围的指定方块发光。

```
- id: glow_nearby_blocks
  args:
    radius: 10
    duration: 30 
    colors:
      diamond_ore: aqua
```

其中：

* args.radius：半径格数。
* args.duration：发光时长。
* args.color：发光方块与颜色列表。颜色可以在 [这里](https://hub.spigotmc.org/javadocs/spigot/org/bukkit/ChatColor.html) 查看。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/ji-neng-xi-tong/ji-neng-lie-biao/g.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
